MQCluster (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQCluster interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQCluster

All Superinterfaces:
  Collection, ConfigurationItem, ManagedElement, ModelObject, MQBase, java.io.Serializable

    public interface MQCluster

extends Collection, MQBase, ConfigurationItem

In a traditional WebSphere MQ network using distributed queuing, every queue manager is independent. If one queue manager needs to send messages to another queue manager, it must define a transmission queue, a channel to the remote queue manager, and a remote queue definition for every queue to which it wants to send messages. A cluster is a group of queue managers set up in such a way that the queue managers can communicate directly with one another over a single network, without the need for transmission queue, channel, and remote queue definitions. Name of the cluster, MQ is not guarantee the name is unique within the corporation

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`MQQueueManager[]` | `getQueueManagers()`
`MQClusterReceiverChannel[]` | `getReceiverChannels()`
`MQClusterSenderChannel[]` | `getSenderChannels()`
`boolean` | `hasQueueManagers()`
`boolean` | `hasReceiverChannels()`
`boolean` | `hasSenderChannels()`
`void` | `setQueueManagers(MQQueueManager[] x)`
`void` | `setReceiverChannels(MQClusterReceiverChannel[] x)`
`void` | `setSenderChannels(MQClusterSenderChannel[] x)`

Methods inherited from interface com.collation.platform.model.topology.core.Collection
`getActive, getMembers, getName, hasActive, hasMembers, hasName, setActive, setMembers, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getQueueManagers

    MQQueueManager[] getQueueManagers()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setQueueManagers

    void setQueueManagers(MQQueueManager[] x)

### hasQueueManagers

    boolean hasQueueManagers()

### getReceiverChannels

    MQClusterReceiverChannel[] getReceiverChannels()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Connects" reverse="false"

### setReceiverChannels

    void setReceiverChannels(MQClusterReceiverChannel[] x)

### hasReceiverChannels

    boolean hasReceiverChannels()

### getSenderChannels

    MQClusterSenderChannel[] getSenderChannels()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Connects" reverse="false"

### setSenderChannels

    void setSenderChannels(MQClusterSenderChannel[] x)

### hasSenderChannels

    boolean hasSenderChannels()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD